libglom-1.22 1.22.0

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Glom::Report Class Reference
Inheritance diagram for Glom::Report:
[legend]
Collaboration diagram for Glom::Report:
[legend]

## Public Member Functions

| Report ()
| Report (const Report& src)
Report& | operator= (const Report& src)
bool | get_show_table_title () const
void | set_show_table_title (bool show_table_title=true)
sharedptr< LayoutGroup > | get_layout_group ()
sharedptr< const LayoutGroup > | get_layout_group () const
Public Member Functions inherited from Glom::TranslatableItem
| TranslatableItem ()
| TranslatableItem (const TranslatableItem& src)
virtual | ~TranslatableItem ()
TranslatableItem& | operator= (const TranslatableItem& src)
bool | operator== (const TranslatableItem& src) const
bool | operator!= (const TranslatableItem& src) const
virtual void | set_name (const Glib::ustring& name)
| Set the non-translated identifier name.
virtual Glib::ustring | get_name () const
| Get the non-translated identifier name.
bool | get_name_not_empty () const
virtual Glib::ustring | get_title_or_name (const Glib::ustring& locale) const
virtual Glib::ustring | get_title (const Glib::ustring& locale) const
| Get the title's translation for the specified locale, falling back to the original text if there is no translation.
virtual Glib::ustring | get_title_original () const
| Get the title's original (non-translated, usually English) text.
Glib::ustring | get_title_translation (const Glib::ustring& locale, bool fallback=true) const
| Get the title's translation for the specified locale, optionally falling back to a locale of the same language, and then falling back to the original.
void | set_title (const Glib::ustring& title, const Glib::ustring& locale)
| Set the title's translation for the specified locale.
void | set_title_original (const Glib::ustring& title)
| Set the title's original (non-translated, usually English) text.
void | clear_title_in_all_locales ()
| Clear the original title and any translations of the title.
bool | get_has_translations () const
enumTranslatableItemType | get_translatable_item_type () const

## Additional Inherited Members

Public Types inherited from Glom::TranslatableItem

enum

enumTranslatableItemType {
TRANSLATABLE_TYPE_INVALID,
TRANSLATABLE_TYPE_FIELD,
TRANSLATABLE_TYPE_RELATIONSHIP,
TRANSLATABLE_TYPE_LAYOUT_ITEM,
TRANSLATABLE_TYPE_CUSTOM_TITLE,
TRANSLATABLE_TYPE_PRINT_LAYOUT,
TRANSLATABLE_TYPE_REPORT,
TRANSLATABLE_TYPE_TABLE,
TRANSLATABLE_TYPE_BUTTON,
TRANSLATABLE_TYPE_TEXTOBJECT,
TRANSLATABLE_TYPE_IMAGEOBJECT,
TRANSLATABLE_TYPE_CHOICEVALUE,
TRANSLATABLE_TYPE_DATABASE_TITLE
}

typedef std::map < Glib::ustring, Glib::ustring > | type_map_locale_to_translations
Static Public Member Functions inherited from Glom::TranslatableItem
static Glib::ustring | get_translatable_type_name (enumTranslatableItemType item_type)
static Glib::ustring | get_translatable_type_name_nontranslated (enumTranslatableItemType item_type)
| The non-translated name is used for the context in gettext .po files.
Protected Attributes inherited from Glom::TranslatableItem
enumTranslatableItemType | m_translatable_item_type

## Constructor & Destructor Documentation

Glom::Report::Report | ( |  | ) |

Glom::Report::Report | ( | const Report& | src | ) |

## Member Function Documentation

sharedptr<LayoutGroup> Glom::Report::get_layout_group | ( |  | ) |

sharedptr<const LayoutGroup> Glom::Report::get_layout_group | ( |  | ) | const

bool Glom::Report::get_show_table_title | ( |  | ) | const

Report& Glom::Report::operator= | ( | const Report& | src | ) |

void Glom::Report::set_show_table_title | ( | bool | show_table_title = `true` | ) |

The documentation for this class was generated from the following file:

- libglom/data_structure/report.h